Bug 1029799 - RFE: change the initial geo-replication crawl to be done in parallel, in multiple threads.
RFE: change the initial geo-replication crawl to be done in parallel, in mult...
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
2.1
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
: FutureFeature
Depends On:
Blocks: 1020127
  Show dependency treegraph
 
Reported: 2013-11-13 04:01 EST by Amar Tumballi
Modified: 2015-11-30 13:58 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Starting a Geo-replication session when there are tens of millions of files on the master volume takes a long time to observe the updates on the slave mount point.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 13:58:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2013-11-13 04:01:49 EST
Actual results:
Currently the crawl is sequential, which if user has lot of initial data, would take long time.

Expected results:
Crawl to be more faster, with multiple threads, and done in parallel, making the initial geo-replication sync to complete quickly.
Comment 2 Pavithra 2013-11-25 03:51:32 EST
After a discussion with Amar, this was decided to be documented as a known issue in the Big Bend Update 1 Release Notes. Here is the link:

http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/2.1/html/2.1_Update_1_Release_Notes/chap-Documentation-2.1_Update_1_Release_Notes-Known_Issues.html
Comment 3 Pavithra 2013-11-25 04:42:59 EST
After a conversation with Amar, this bug was decided to be documented as a known issue in the Big Bend Update 1 Release Notes. Here is the link:

http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/2.1/html/2.1_Update_1_Release_Notes/chap-Documentation-2.1_Update_1_Release_Notes-Known_Issues.html
Comment 10 Harold Miller 2015-11-30 13:58:22 EST
Closing EOL. If this is a problem in future versions, please open a new BZ

Note You need to log in before you can comment on or make changes to this bug.